cURL
curl -X POST "https://api.joinformal.com/core.v1.PermissionsService/ListPermissions" \ -H "X-API-KEY: YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "example": "value" }'
{ "permissions": [ { "id": "<string>", "name": "<string>", "description": "<string>", "code": "<string>", "status": "draft", "terminationProtection": true, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ], "listMetadata": { "after": "<string>", "before": "<string>", "count": 123, "nextCursor": "<string>" } }
API key authentication. Get your API key from the Formal dashboard.
Define the version of the Connect protocol
1
Define the timeout, in ms
x <= 500
id
name
description
status
Show child attributes
equals
not_equals
contains
not_contains
empty
not_empty
starts_with
ends_with
lower_than
greater_than
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.
and
or
Success
draft
dry-run
active
timestamp.lt_now = true
Was this page helpful?